
Redmine - Patch #13173

Put source :rubygems url HTTP secure

2013-02-14 15:06 - Benjamin Jeanjean

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Third-party libraries Estimated time: 0.00 hour

Target version: 2.3.0   

Description

I've got some warnings after upgrade my Apache passenger's module to a newer version.

It seems like we now have to use HTTPS instead of HTTP in the Gemfile for "source".

I've attached a patch.

Related issues:

Has duplicate Redmine - Feature #13254: Secure Gem-Source Closed

Associated revisions

Revision 11464 - 2013-02-24 11:13 - Jean-Philippe Lang

Use https://rubygems.org as gem source (#13173).

Revision 11465 - 2013-02-24 11:14 - Jean-Philippe Lang

Merged r11464 from trunk (#13173).

History

#1 - 2013-02-21 20:04 - Benjamin Jeanjean

Problem happens with gem bundler v 1.2.4

More informations here : https://github.com/ooyala/barkeep/pull/396

And the bundler commit which make the warnings : https://github.com/carlhuda/bundler/commit/fcadf1f9d2eaca9be6370dddeb78d4ca5b30bf40

#2 - 2013-02-22 13:18 - Jean-Philippe Lang

- Target version set to Candidate for next minor release

#3 - 2013-02-22 15:51 - Daniel Felix

Well I would appreciate that this could get it's way in 2.3, as it is just a small change but would give a little bit more security. :-)

#4 - 2013-02-24 11:14 - Jean-Philippe Lang

- Category set to Third-party libraries

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.3.0

Change done.

#5 - 2013-02-25 23:29 - Toshi MARUYAMA

- Status changed from Closed to Reopened

r11486 roll backed http.

Why?

#6 - 2013-02-26 07:57 - Jean-Philippe Lang

Sorry, I had to remove it when trying ruby 2.0 (cert validation error) but I didn't mean to commit it.

This error needs further investigation.

#7 - 2013-02-26 12:46 - Toshi MARUYAMA
Jean-Philippe Lang wrote:

Sorry, I had to remove it when trying ruby 2.0 (cert validation error) but I didn't mean to commit it.

 I cannot reproduce on Ruby 2.0 which installed by rvm on CentOS 6.

$ ruby --version

ruby 2.0.0p0 (2013-02-24 revision 39474) [x86_64-linux]

$ ruby script/about 

/REDMINE/hg-workdir/redmine-bb-all/lib/plugins/rfpdf/lib/tcpdf.rb:42: warning: class variable access from topl

evel

/REDMINE/hg-workdir/redmine-bb-all/lib/plugins/rfpdf/lib/tcpdf.rb:43: warning: class variable access from topl

evel

/REDMINE/hg-workdir/redmine-bb-all/lib/SVG/Graph/Graph.rb:3: warning: class variable access from toplevel

Environment:

  Redmine version                          2.3.0.devel

  Ruby version                             2.0.0 (x86_64-linux)

  Rails version                            3.2.12

  Environment                              production

  Database adapter                         SQLite

Redmine plugins:

  no plugin installed

#8 - 2013-03-01 09:38 - Toshi MARUYAMA

- Status changed from Reopened to Closed

Toshi MARUYAMA wrote:

r11486 roll backed http.

 Reverted in r11487.
